Page MenuHomePhabricator

Use new editor for undo pages
Closed, ResolvedPublic

Description

Original report:


  1. View history of any Flow page - click on 'undo' action.
  1. The page, e.g

http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Topic:Sndry65kegyo49kb&action=undo-edit-post&topic_startId=spjwujzdrfq00h7c&topic_endId=spjx4zjcqexdwaoo
is displayed and there is no editing icons in CE area unless you click in it (expected behavior?).

  1. Click in the CE area and old-style wikitext edit mode icon is displayed.

Note: Switching to VE - the new wikitext editor icon is displayed.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 4:55 PM
Mattflaschen-WMF renamed this task from Old style wikitext icon is displayed on undo-edit-post pages to Use new editor for undo pages.Sep 25 2015, 5:57 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
DannyH triaged this task as Normal priority.Sep 28 2015, 5:43 PM
DannyH added a subscriber: DannyH.
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:47 PM

Change 244369 had a related patch set uploaded (by Mooeypoo):
Use the new editor when undoing edits

https://gerrit.wikimedia.org/r/244369

Change 244369 merged by jenkins-bot:
Use the new editor when undoing edits

https://gerrit.wikimedia.org/r/244369

Etonkovidova added a comment.EditedOct 10 2015, 12:19 AM

Checked in betalabs - from 'View history' 'undo' action will be displayed with new wikitext icon for

  • edit comment
  • edit description

However, 'undo' for topic summary still has the old-style icon filed as a separate bug: T116085 "History: 'undo' for topic summary still has the old-style icon":
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Talk:ET1&action=history - click on 'undo' for "edited topic summary on Sep09-02 modified..."

Catrope closed this task as Resolved.Nov 22 2015, 10:54 PM
Catrope added a subscriber: Catrope.